<?php

$smartyPg->assign('listaResultado', array());

$url = "http://www.linux.pt/rss/news/";
$rss = simplexml_load_file($url);

if($rss){
    $items = $rss->channel->item;

    $listaResultado = array();
    $indice = 0;
    
    foreach($items as $item)
    {
	$title = $item->title;
	$link = $item->link;
	#$published_on = $item->pubDate;
	$description = $item->description;
	$listaResultado[$indice]['titulo']     = $title;
	$listaResultado[$indice]['link']       = $link;
	#$listaResultado[$indice]['data']       = $published_on;
	$listaResultado[$indice]['descricao']  = substr($description, 0, 30) . "...";
	$indice++;
    }
    $smartyPg->assign('listaResultado', $listaResultado);
}

?>